module Faucet
  module Version

    extend self

    attr_accessor :base_dir

    def write_version( version )
      File.open(File.join(Faucet::Version.base_dir, 'VERSION'), 'w') do |file|
        file.write version.to_s
      end
      version
    end

    def load_version
      Versionomy.parse File.read(File.join(Faucet::Version.base_dir, 'VERSION')).chomp
    end

    def to_s
      load_version.to_s
    end
  end
end
