# -*- encoding: utf-8 -*-
# stub: capistrano-faucet 3.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "capistrano-faucet".freeze
  s.version = "3.0.4"

  s.required_rubygems_version = Gem::Requirement.new("> 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Spencer Markowski".freeze]
  s.date = "2016-06-04"
  s.description = "An unrestictive way to deploy using gitflow and capistrano".freeze
  s.email = "spencer@theablefew.com".freeze
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.homepage = "http://github.com/esmarkowski/faucet".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "    Initialize Gitflow\n\n    git flow init -df'\n    git config gitflow.branch.develop \"develop\"\n    git config gitflow.branch.master \"master\"\n    git config gitflow.prefix.versiontag \"v\"\n    git config gitflow.prefix.feature \"feature/\"\n    git config gitflow.prefix.release \"release/\"\n    git config gitflow.prefix.hotfix \"hotfix/\"\n    git config gitflow.prefix.support \"support/\"\n\n\n    Then place this in your Rails root directory as .faucetrc\n\n    prude = 0 \n\n    ## gitflow_master\n    # Default: master\n    #gitflow_master = master\n\n    ## gitflow_develop\n    # Default: develop\n    #gitflow_develop = develop\n\n    ## gitflow_feature\n    # Default: feature\n    #gitflow_feature = feature\n\n    ## gitflow_release\n    # Default: release\n    #gitflow_release = release\n\n    ## gitflow_version_tag\n    # Default: v\n    #gitflow_version_tag = v\n\n    ## deploy_production\n    # Default: production\n    #deploy_production = production\n\n    ## deploy_staging\n    # Default: [:staging, :qa]\n    #deploy_staging = [:staging, :qa]\n\n    ## previous_releases\n    # Default: 3\n    previous_releases = '8' \n\n    ## allow_untagged_deply\n    allow_untagged_deply = true\n\n".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Gitflow enabled capistrano".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<capistrano>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<stringex>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<hashie>.freeze, ["~> 3.1"])
    s.add_runtime_dependency(%q<versionomy>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<rainbow>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<ablerc>.freeze, ["~> 0.2"])
  else
    s.add_dependency(%q<capistrano>.freeze, ["~> 3.0"])
    s.add_dependency(%q<stringex>.freeze, ["~> 1.3"])
    s.add_dependency(%q<hashie>.freeze, ["~> 3.1"])
    s.add_dependency(%q<versionomy>.freeze, ["~> 0.4"])
    s.add_dependency(%q<rainbow>.freeze, ["~> 2.0"])
    s.add_dependency(%q<ablerc>.freeze, ["~> 0.2"])
  end
end
